Skip to main content
POST
/
accounts
/
{account_id}
/
plaid
/
link_token
Create Plaid link token
curl --request POST \
  --url https://api.brale.xyz/accounts/{account_id}/plaid/link_token \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "legal_name": "John Doe",
  "email_address": "user@example.com",
  "phone_number": "+1234567890",
  "date_of_birth": "1990-01-01"
}
'
{
  "link_token": "link-sandbox-123456789",
  "expiration": "2024-01-01T12:00:00Z",
  "callback_url": "https://customer.com/webhooks/plaid-updates"
}
Use the playground below to try this endpoint directly, or review the OpenAPI details in the right panel.

Authorizations

Authorization
string
header
required

Use the Bearer token returned from the Auth endpoint via OAuth2 client_credentials flow. Include the token in the "Authorization: Bearer " header.

Path Parameters

account_id
string
required

Body

application/json

User's legal name

Example:

"John Doe"

email_address
string

User's email address

Example:

"user@example.com"

phone_number
string

User's phone number

Example:

"+1234567890"

date_of_birth
string

User's date of birth

Example:

"1990-01-01"

Response

200 - application/json

OK

Plaid Link token

Example:

"link-sandbox-123456789"

expiration
string
required

ISO 8601 expiration

Example:

"2024-01-01T12:00:00Z"

callback_url
string
required

URL to POST the public token to after Plaid Link

Example:

"https://customer.com/webhooks/plaid-updates"